package javax.swing.plaf.metal;

import javax.swing.UIManager;
import javax.swing.AbstractButton;
import sun.awt.AppContext;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class MetalCheckBoxUI extends MetalRadioButtonUI
{
    private static final Object METAL_CHECK_BOX_UI_KEY;
    private static final String propertyPrefix = "CheckBox.";
    private boolean defaults_initialized;
    
    public MetalCheckBoxUI() {
        this.defaults_initialized = false;
    }
    
    public static ComponentUI createUI(JComponent component) {
        AppContext appContext = AppContext.getAppContext();
        MetalCheckBoxUI value = (MetalCheckBoxUI)appContext.get(MetalCheckBoxUI.METAL_CHECK_BOX_UI_KEY);
        if (value == null) {
            value = new MetalCheckBoxUI();
            appContext.put(MetalCheckBoxUI.METAL_CHECK_BOX_UI_KEY, value);
            return value;
        }
        return value;
    }
    
    public String getPropertyPrefix() {
        return "CheckBox.";
    }
    
    @Override
    public void installDefaults(AbstractButton abstractButton) {
        super.installDefaults(abstractButton);
        if (!this.defaults_initialized) {
            this.icon = UIManager.getIcon(this.getPropertyPrefix() + "icon");
            this.defaults_initialized = true;
        }
    }
    
    @Override
    protected void uninstallDefaults(AbstractButton abstractButton) {
        super.uninstallDefaults(abstractButton);
        this.defaults_initialized = false;
    }
    
    static {
        METAL_CHECK_BOX_UI_KEY = new Object();
    }
}
